poor networking throughput through veth interfaces

Bug #1201869 reported by Chris J Arges on 2013-07-16
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Precise
Medium
Chris J Arges
Quantal
Medium
Chris J Arges
Raring
Medium
Chris J Arges

Bug Description

SRU Justification:

Impact:
Users of the 3.2/3.5/3.8 series kernel will have poor network throughput when using OpenStack Neutron depending on their setup.

Fix:
These upstream patches are necessary to fix the issue:

2681128f0ced8aa4e66f221197e183cc16d244fe
8093315a91340bca52549044975d8c7f673b28a1
d0e2c55e7c940a3ee91e9e23a2683b593690f1e9
2efd32ee1b60b0b31404ca47c1ce70e5a5d24ebc
f45a5c267da35174e22cec955093a7513dc1623d

Testcase:
Setup OpenStack Neutron. Test throughput between internal and external nodes.

The following explains an example vlan+namespace configuration:
Internal Node: [10.x.x.2]->eth2.123->br123->tap123->qr-123[10.x.x.1] <--- netns: qrouter-123
netns: qrouter-123 ---> qg-234[10.x.y.1]->tap234->br234->eth2.234->External Node[10.x.y.2]
Where:
1) tap123+qr-123 and tap234+qg-234 are veth pairs
2) qr-123 and qg-234 reside inside the qrouter-123 namespace

Another testcase without Openstack:

* create two vms: (vm1, vm2), install iperf on those machines
* connect vms via an isolated bridge
* measure baseline performance
  - iperf -s # on machine 1
  - iperf -t 60 -l 4M -c <machine 1 IP> # on machine 2
* create veth pairs between vms using attached script:
  - ./setup-lp1201869.sh vm1
  - ./setup-lp1201869.sh vm2
* attach VM's interfaces to the created bridges (qbrvm1 / qbrvm2)
* In the VM's setup static IPs
  - sudo ifconfig eth0 10.10.10.1/24 up #vm1
  - sudo ifconfig eth0 10.10.10.2/24 up #vm2
* measure performance now
* we expect this to be close to the existing performance
NOTE: the fixed kernel needs to be on the _hypervisor_

--

OpenStack Neutron does IP forwarding through a network namespace. A veth pair is used to connect into the namespace. The veth pair appears to be the bottleneck, independent of network namespace. In newer versions of Linux (Ubuntu-3.9.0-7.15 / v3.9-rc1 and greater) throughput is much higher by almost 3 times. For example with some testing throughput is 3.5 Gbps in pre 3.9-rc1 versions and 9.1 Gbps with these patches applied.

This has been confirmed on kernels from 3.5.x-3.8.x. (Quantal and Raring lts backports)

Chris J Arges (arges) on 2013-07-16
Changed in linux (Ubuntu):
assignee: Chris J Arges (arges) → nobody
status: New → Fix Released
Changed in linux (Ubuntu Quantal):
status: New → In Progress
Changed in linux (Ubuntu Raring):
status: New → In Progress
assignee: nobody → Chris J Arges (arges)
Changed in linux (Ubuntu Quantal):
assignee: nobody → Chris J Arges (arges)
Changed in linux (Ubuntu Raring):
importance: Undecided → Medium
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Chris J Arges (arges) wrote :

A bisection reveals that the following patch solves the issue:
8093315a91340bca52549044975d8c7f673b28a1 veth: extend device features

However it relies on:
2681128f0ced8aa4e66f221197e183cc16d244fe veth: reduce stat overhead
For a clean cherry-pick.

And after building and testing the following bug needed to be fixed with:
d0e2c55e7c940a3ee91e9e23a2683b593690f1e9 veth: avoid a NULL deref in veth_stats_one

A test build is available here that solves the issue backported to 3.5/3.8:
http://people.canonical.com/~arges/lp1201869/

Chris J Arges (arges) on 2013-07-18
description: updated
Chris J Arges (arges) on 2013-07-18
description: updated
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
Brad Figg (brad-figg) on 2013-08-01
tags: added: verification-needed-raring
Brad Figg (brad-figg) on 2013-08-12
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Chris J Arges (arges) on 2013-08-13
tags: added: kernel-key
Chris J Arges (arges) wrote :

Looks like with these patch we get the following crash:

PID: 6752   TASK: ffff8817d41e1700  CPU: 13  COMMAND: "ip"
#0 [ffff8817d2be33f0] machine_kexec at ffffffff8103bbda
#1 [ffff8817d2be3460] crash_kexec at ffffffff810bc028
#2 [ffff8817d2be3530] oops_end at ffffffff8169f098
#3 [ffff8817d2be3560] no_context at ffffffff8168436f
#4 [ffff8817d2be35b0] __bad_area_nosemaphore at ffffffff81684551
#5 [ffff8817d2be3610] bad_area at ffffffff816845ca
#6 [ffff8817d2be3640] do_page_fault at ffffffff816a1f54
#7 [ffff8817d2be3750] page_fault at ffffffff8169e4e5
    [exception RIP: netif_carrier_off+9]
    RIP: ffffffff8159f379  RSP: ffff8817d2be3808  RFLAGS: 00010292
    RAX: 0000000000000001  RBX: ffff8817f3e36000  RCX: ffffffff81ca9948
    RDX: 0000000000000000  RSI: 0000000000000282  RDI: 0000000000000000
    RBP: ffff8817d2be3808   R8: ffff880c0fcee400   R9: ffff8817d2be38e8
    R10: 0000000000001a60  R11: 0000000000000246  R12: ffff8817f3e36000
    R13: ffff8817d2be3858  R14: ffff8817fd32be00  R15: 0000000000000000
    ORIG_RAX: ffffffffffffffff  CS: 0010  SS: 0018
#8 [ffff8817d2be3810] veth_close at ffffffffa02221a2 [veth]
#9 [ffff8817d2be3830] __dev_close_many at ffffffff8157e3be
#10 [ffff8817d2be3850] dev_close_many at ffffffff8157e500
#11 [ffff8817d2be3890] rollback_registered_many at ffffffff8157e658
#12 [ffff8817d2be38c0] unregister_netdevice_many at ffffffff8157e7eb
#13 [ffff8817d2be38e0] rtnl_dellink at ffffffff8159148b
#14 [ffff8817d2be3a30] rtnetlink_rcv_msg at ffffffff81591be4
#15 [ffff8817d2be3ab0] netlink_rcv_skb at ffffffff815aab39
#16 [ffff8817d2be3ae0] rtnetlink_rcv at ffffffff8158fa35
#17 [ffff8817d2be3b00] netlink_unicast at ffffffff815aa4ad
#18 [ffff8817d2be3b50] netlink_sendmsg at ffffffff815aa810
#19 [ffff8817d2be3be0] sock_sendmsg at ffffffff81568e37
#20 [ffff8817d2be3d60] ___sys_sendmsg at ffffffff8156adcc
#21 [ffff8817d2be3f00] __sys_sendmsg at ffffffff8156c7b9
#22 [ffff8817d2be3f70] sys_sendmsg at ffffffff8156c819
#23 [ffff8817d2be3f80] system_call_fastpath at ffffffff816a65e9
    RIP: 00007f7dd23fae30  RSP: 00007fff98b25f58  RFLAGS: 00010293
    RAX: 000000000000002e  RBX: ffffffff816a65e9  RCX: 0000000000000011
    RDX: 0000000000000000  RSI: 00007fff98b21ef0  RDI: 0000000000000005
    RBP: 0000000000000000   R8: 0000000000000000   R9: 0000000000000000
    R10: 00007fff98b21c60  R11: 0000000000000246  R12: ffffffff8156c819
    R13: ffff8817d2be3f78  R14: 0000000000000000  R15: 00007fff98b25fe8
    ORIG_RAX: 000000000000002e  CS: 0033  SS: 002b

A patch already exists that addresses this crash:

Commit 2efd32ee1b60b0b31404ca47c1ce70e5a5d24ebc
Author: Eric Dumazet <email address hidden>
Date:   Thu Jan 10 08:32:45 2013 +0000

    veth: fix a NULL deref in netif_carrier_off

    In commit d0e2c55e7c94 (veth: avoid a NULL deref in veth_stats_one)
    we now clear the peer pointers in veth_dellink()

    veth_close() must therefore make sure the peer pointer is set.

tags: added: verification-failed-quantal verification-failed-raring
removed: verification-needed-quantal verification-needed-raring
tags: added: quantal raring
Changed in linux (Ubuntu):
importance: Undecided → Medium
Chris J Arges (arges) wrote :

Another related fix for this is here:

commit f45a5c267da35174e22cec955093a7513dc1623d
Author: Eric Dumazet <email address hidden>
Date: Fri Feb 8 20:10:49 2013 +0000

    veth: fix NULL dereference in veth_dellink()

    commit d0e2c55e7c940 (veth: avoid a NULL deref in veth_stats_one)
    added another NULL deref in veth_dellink().

    # ip link add name veth1 type veth peer name veth0
    # rmmod veth

    We crash because veth_dellink() is called twice, so we must
    take care of NULL peer.

    Signed-off-by: Eric Dumazet <email address hidden>
    Signed-off-by: David S. Miller <email address hidden>

Launchpad Janitor (janitor) wrote :
Download full text (8.6 KiB)

This bug was fixed in the package linux - 3.5.0-39.60

---------------
linux (3.5.0-39.60) quantal; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1211872

  [ Upstream Kernel Changes ]

  * Revert "veth: avoid a NULL deref in veth_stats_one"
  * Revert "veth: extend device features"
  * Revert "veth: reduce stat overhead"

linux (3.5.0-38.59) quantal; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1205440

  [ Upstream Kernel Changes ]

  * hp-wmi: add more definitions for new event_id's
    - LP: #1152458
  * MFD: rtsx_pcr: Fix probe fail path
    - LP: #1201321
  * mfd: rtsx: Add support for RTL8411B
    - LP: #1201321
  * veth: reduce stat overhead
    - LP: #1201869
  * veth: extend device features
    - LP: #1201869
  * veth: avoid a NULL deref in veth_stats_one
    - LP: #1201869
  * Input: elantech - fix for newer hardware versions (v7)
    - LP: #1166442
  * zram: avoid invalid memory access in zram_exit()
    - LP: #1204600
  * zram: use zram->lock to protect zram_free_page() in swap free notify
    path
    - LP: #1204600
  * zram: destroy all devices on error recovery path in zram_init()
    - LP: #1204600
  * zram: avoid double free in function zram_bvec_write()
    - LP: #1204600
  * zram: avoid access beyond the zram device
    - LP: #1204600
  * zram: protect sysfs handler from invalid memory access
    - LP: #1204600
  * pcmcia: at91_cf: fix gpio_get_value in at91_cf_get_status
    - LP: #1204600
  * usb: gadget: f_mass_storage: add missing memory barrier for
    thread_wakeup_needed
    - LP: #1204600
  * cgroup: fix umount vs cgroup_event_remove() race
    - LP: #1204600
  * xhci: check for failed dma pool allocation
    - LP: #1204600
  * usb: host: xhci-plat: release mem region while removing module
    - LP: #1204600
  * USB: option,qcserial: move Novatel Gobi1K IDs to qcserial
    - LP: #1204600
  * x86: Fix /proc/mtrr with base/size more than 44bits
    - LP: #1204600
  * genirq: Fix can_request_irq() for IRQs without an action
    - LP: #1204600
  * jbd2: move superblock checksum calculation to jbd2_write_superblock()
    - LP: #1204600
  * ext3,ext4: don't mess with dir_file->f_pos in htree_dirblock_to_tree()
    - LP: #1204600
  * jbd2: fix theoretical race in jbd2__journal_restart
    - LP: #1204600
  * cgroup: fix umount vs cgroup_cfts_commit() race
    - LP: #1204600
  * tracing: Use current_uid() for critical time tracing
    - LP: #1204600
  * ahci: Add AMD CZ SATA device ID
    - LP: #1204600
  * i2c-piix4: Add AMD CZ SMBus device ID
    - LP: #1204600
  * ahci: remove pmp link online check in FBS EH
    - LP: #1204600
  * libata: skip SRST for all SIMG [34]7x port-multipliers
    - LP: #1204600
  * ASoC: wm8962: Remove remaining direct register cache accesses
    - LP: #1204600
  * ACPICA: Do not use extended sleep registers unless HW-reduced bit is
    set
    - LP: #1204600
  * ALSA: hda - Cache the MUX selection for generic HDMI
    - LP: #1204600
  * ata_piix: IDE-mode SATA patch for Intel Coleto Creek DeviceIDs
    - LP: #1204600
  * ahci: AHCI-mode SATA patch for Intel Coleto Creek DeviceIDs
    - LP: #1204600
  * ARM: 7765/1: perf: Record the user-mode PC in the call c...

Read more...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Adam Conrad (adconrad) on 2013-08-19
Changed in linux (Ubuntu Quantal):
status: Fix Released → In Progress
Launchpad Janitor (janitor) wrote :
Download full text (12.6 KiB)

This bug was fixed in the package linux - 3.8.0-29.42

---------------
linux (3.8.0-29.42) raring; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1211934

  [ Upstream Kernel Changes ]

  * Revert "veth: avoid a NULL deref in veth_stats_one"
  * Revert "veth: extend device features"
  * Revert "veth: reduce stat overhead"

linux (3.8.0-28.41) raring; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1205373

  [ Andy Whitcroft ]

  * [Config] add iwldvm to nic-modules
    - LP: #1204194

  [ Brad Figg ]

  * [Config] added qlcnic driver to d-i modules
    - LP: #1196597

  [ Rob Herring ]

  * SAUCE: ARM: highbank: Only touch common coherency control register
    fields
    - LP: #1196946

  [ Upstream Kernel Changes ]

  * hp-wmi: add more definitions for new event_id's
    - LP: #1152458
  * MFD: rtsx_pcr: Fix probe fail path
    - LP: #1201321
  * mfd: rtsx: Add support for RTL8411B
    - LP: #1201321
  * veth: reduce stat overhead
    - LP: #1201869
  * veth: extend device features
    - LP: #1201869
  * veth: avoid a NULL deref in veth_stats_one
    - LP: #1201869
  * Input: elantech - fix for newer hardware versions (v7)
    - LP: #1166442
  * UBIFS: correct mount message
    - LP: #1204666
  * zfcp: fix adapter (re)open recovery while link to SAN is down
    - LP: #1204666
  * zfcp: block queue limits with data router
    - LP: #1204666
  * zfcp: status read buffers on first adapter open with link down
    - LP: #1204666
  * ahci: Add AMD CZ SATA device ID
    - LP: #1204666
  * i2c-piix4: Add AMD CZ SMBus device ID
    - LP: #1204666
  * sata_highbank: increase retry count but shorten duration for Calxeda
    controller
    - LP: #1204666
  * clocksource: dw_apb: Fix error check
    - LP: #1204666
  * zram: avoid invalid memory access in zram_exit()
    - LP: #1204666
  * zram: use zram->lock to protect zram_free_page() in swap free notify
    path
    - LP: #1204666
  * zram: destroy all devices on error recovery path in zram_init()
    - LP: #1204666
  * zram: avoid access beyond the zram device
    - LP: #1204666
  * zram: protect sysfs handler from invalid memory access
    - LP: #1204666
  * pcmcia: at91_cf: fix gpio_get_value in at91_cf_get_status
    - LP: #1204666
  * PCI: Fix refcount issue in pci_create_root_bus() error recovery path
    - LP: #1204666
  * ahci: remove pmp link online check in FBS EH
    - LP: #1204666
  * usb: gadget: f_mass_storage: add missing memory barrier for
    thread_wakeup_needed
    - LP: #1204666
  * x86, efi: retry ExitBootServices() on failure
    - LP: #1204666
  * libata: skip SRST for all SIMG [34]7x port-multipliers
    - LP: #1204666
  * ASoC: wm8962: Remove remaining direct register cache accesses
    - LP: #1204666
  * xen/pcifront: Deal with toolstack missing 'XenbusStateClosing' state.
    - LP: #1204666
  * ACPICA: Do not use extended sleep registers unless HW-reduced bit is
    set
    - LP: #1204666
  * ALSA: hda - Cache the MUX selection for generic HDMI
    - LP: #1204666
  * cgroup: fix umount vs cgroup_cfts_commit() race
    - LP: #1204666
  * cgroup: fix umount vs cgroup_event_remove() race
    - LP: #1204666
  * xhci: check for failed dma pool al...

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
tags: removed: kernel-key
Chris J Arges (arges) on 2013-08-21
Changed in linux (Ubuntu Raring):
status: Fix Released → In Progress
Chris J Arges (arges) on 2013-08-23
tags: removed: verification-failed-quantal verification-failed-raring
description: updated
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-quantal-needed' to 'verification-quantal-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
tags: added: verification-needed-raring
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-raring-needed' to 'verification-raring-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Mark Russell (marrusl) wrote :

The 3.5 version of this fix has been verified for throughput and stability. Unfortunately the 3.8 verification could not be done at this time.

tags: added: verification-done-quantal
removed: verification-needed-quantal
tags: added: verification-quantal-done
removed: verification-done-quantal
Chris J Arges (arges) on 2013-09-21
tags: added: verification-done-quantal
removed: verification-quantal-done
Brad Figg (brad-figg) on 2013-09-22
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Brad Figg (brad-figg) on 2013-09-23
tags: added: verification-done-raring
removed: verification-needed-raring
Launchpad Janitor (janitor) wrote :
Download full text (5.7 KiB)

This bug was fixed in the package linux - 3.5.0-41.64

---------------
linux (3.5.0-41.64) quantal; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1223451

  [ Upstream Kernel Changes ]

  * kernel-doc: bugfix - multi-line macros
    - LP: #1223920
  * Revert "zram: use zram->lock to protect zram_free_page() in swap free
    notify path"
    - LP: #1215513
  * x86 thermal: Delete power-limit-notification console messages
    - LP: #1215748
  * x86 thermal: Disable power limit notification interrupt by default
    - LP: #1215748
  * ARM: 7810/1: perf: Fix array out of bounds access in
    armpmu_map_hw_event()
    - LP: #1216442
    - CVE-2013-4254
  * ARM: 7809/1: perf: fix event validation for software group leaders
    - LP: #1216442
    - CVE-2013-4254
  * veth: reduce stat overhead
    - LP: #1201869
  * veth: extend device features
    - LP: #1201869
  * veth: avoid a NULL deref in veth_stats_one
    - LP: #1201869
  * veth: fix a NULL deref in netif_carrier_off
    - LP: #1201869
  * veth: fix NULL dereference in veth_dellink()
    - LP: #1201869
  * Bluetooth: Add support for Atheros [0cf3:3121]
    - LP: #1202477
  * efivars: explicitly calculate length of VariableName
    - LP: #1217745
  * xfs: fix _xfs_buf_find oops on blocks beyond the filesystem end
    - LP: #1151527
    - CVE-2013-1819
  * drm/i915/lvds: ditch ->prepare special case
    - LP: #1221791
  * serial: mxs: fix buffer overflow
    - LP: #1221791
  * fs/proc/task_mmu.c: fix buffer overflow in add_page_map()
    - LP: #1221791
  * af_key: initialize satype in key_notify_policy_flush()
    - LP: #1221791
  * vm: add no-mmu vm_iomap_memory() stub
    - LP: #1221791
  * iwl4965: set power mode early
    - LP: #1221791
  * iwl4965: reset firmware after rfkill off
    - LP: #1221791
  * ASoC: cs42l52: Reorder Min/Max and update to SX_TLV for Beep Volume
    - LP: #1221791
  * can: pcan_usb: fix wrong memcpy() bytes length
    - LP: #1221791
  * ALSA: 6fire: make buffers DMA-able (pcm)
    - LP: #1221791
  * ALSA: 6fire: make buffers DMA-able (midi)
    - LP: #1221791
  * jbd2: Fix use after free after error in jbd2_journal_dirty_metadata()
    - LP: #1221791
  * USB-Serial: Fix error handling of usb_wwan
    - LP: #1221791
  * USB: mos7840: fix big-endian probe
    - LP: #1221791
  * USB: adutux: fix big-endian device-type reporting
    - LP: #1221791
  * USB: ti_usb_3410_5052: fix big-endian firmware handling
    - LP: #1221791
  * m68k/atari: ARAnyM - Fix NatFeat module support
    - LP: #1221791
  * m68k: Truncate base in do_div()
    - LP: #1221791
  * usb: add two quirky touchscreen
    - LP: #1221791
  * USB: mos7720: fix broken control requests
    - LP: #1221791
  * USB: keyspan: fix null-deref at disconnect and release
    - LP: #1221791
  * MIPS: Expose missing pci_io{map,unmap} declarations
    - LP: #1221791
  * microblaze: Update microblaze defconfigs
    - LP: #1221791
  * sound: Fix make allmodconfig on MIPS
    - LP: #1221791
  * sound: Fix make allmodconfig on MIPS correctly
    - LP: #1221791
  * alpha: makefile: don't enforce small data model for kernel builds
    - LP: #1221791
  * MIPS: Rewrite pfn_valid to work in modules, too.
    - L...

Read more...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (15.3 KiB)

This bug was fixed in the package linux - 3.8.0-31.46

---------------
linux (3.8.0-31.46) raring; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1223406

  * UBUNTU: [Config] KUSER_HELPERS=y for armhf

  [ Upstream Kernel Changes ]

  * Revert "cpuidle: Quickly notice prediction failure in general case"
    - LP: #1221794
  * Revert "cpuidle: Quickly notice prediction failure for repeat mode"
    - LP: #1221794
  * Revert "zram: use zram->lock to protect zram_free_page() in swap free
    notify path"
    - LP: #1215513
  * x86 thermal: Delete power-limit-notification console messages
    - LP: #1215748
  * x86 thermal: Disable power limit notification interrupt by default
    - LP: #1215748
  * mwifiex: do not create AP and P2P interfaces upon driver loading
    - LP: #1212720
  * ARM: 7810/1: perf: Fix array out of bounds access in
    armpmu_map_hw_event()
    - LP: #1216442
    - CVE-2013-4254
  * ARM: 7809/1: perf: fix event validation for software group leaders
    - LP: #1216442
    - CVE-2013-4254
  * veth: reduce stat overhead
    - LP: #1201869
  * veth: extend device features
    - LP: #1201869
  * veth: avoid a NULL deref in veth_stats_one
    - LP: #1201869
  * veth: fix a NULL deref in netif_carrier_off
    - LP: #1201869
  * veth: fix NULL dereference in veth_dellink()
    - LP: #1201869
  * Bluetooth: Add support for Atheros [0cf3:3121]
    - LP: #1202477
  * uvcvideo: quirk PROBE_DEF for Dell SP2008WFP monitor.
    - LP: #1217957
  * usb: dwc3: gadget: don't prevent gadget from being probed if we fail
    - LP: #1221794
  * usb: dwc3: fix wrong bit mask in dwc3_event_type
    - LP: #1221794
  * ASoC: max98088 - fix element type of the register cache.
    - LP: #1221794
  * ata: Fix DVD not dectected at some platform with Wellsburg PCH
    - LP: #1221794
  * Tools: hv: KVP: Fix a bug in IPV6 subnet enumeration
    - LP: #1221794
  * ALSA: usb-audio: 6fire: return correct XRUN indication
    - LP: #1221794
  * usb: serial: cp210x: Add USB ID for Netgear Switches embedded serial
    adapter
    - LP: #1221794
  * USB: storage: Add MicroVault Flash Drive to unusual_devs
    - LP: #1221794
  * USB: misc: Add Manhattan Hi-Speed USB DVI Converter to sisusbvga
    - LP: #1221794
  * USB: option: append Petatel NP10T device to GSM modems list
    - LP: #1221794
  * usb: cp210x support SEL C662 Vendor/Device
    - LP: #1221794
  * USB: cp210x: add MMB and PI ZigBee USB Device Support
    - LP: #1221794
  * USB: EHCI: Fix resume signalling on remote wakeup
    - LP: #1221794
  * drm/radeon: fix endian issues with DP handling (v3)
    - LP: #1221794
  * drm/radeon: Another card with wrong primary dac adj
    - LP: #1221794
  * drm/radeon: improve dac adjust heuristics for legacy pdac
    - LP: #1221794
  * drm/radeon: fix combios tables on older cards
    - LP: #1221794
  * ARM: footbridge: fix overlapping PCI mappings
    - LP: #1221794
  * [SCSI] isci: Fix a race condition in the SSP task management path
    - LP: #1221794
  * [SCSI] qla2xxx: Properly set the tagging for commands.
    - LP: #1221794
  * [SCSI] sd: fix crash when UA received on DIF enabled device
    - LP: #1221794
  * nfsd: nfsd_open: when dentry_ope...

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Chris J Arges (arges) wrote :
description: updated
description: updated
Changed in linux (Ubuntu Precise):
assignee: nobody → Chris J Arges (arges)
status: New → In Progress
importance: Undecided → Medium
summary: - poor networking throughput across an OpenStack Neutron router on 3.5/3.8
- kernels
+ poor networking throughput through veth interfaces
Chris J Arges (arges) on 2014-03-25
description: updated
Chris J Arges (arges) on 2014-03-25
description: updated
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Chris J Arges (arges) on 2014-04-08
description: updated
Tim Gardner (timg-tpi) on 2014-04-09
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Chris J Arges (arges) on 2014-04-09
description: updated
Chris J Arges (arges) wrote :

Ok, after a fun time setting this back up, I was able to verify with the 3.2.0-61 kernel!

tags: added: verification-done-precise
removed: verification-needed-precise
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-61.92

---------------
linux (3.2.0-61.92) precise; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1300455

  [ Upstream Kernel Changes ]

  * cifs: set MAY_SIGN when sec=krb5
    - LP: #1285723
  * veth: reduce stat overhead
    - LP: #1201869
  * veth: extend device features
    - LP: #1201869
  * veth: avoid a NULL deref in veth_stats_one
    - LP: #1201869
  * veth: fix a NULL deref in netif_carrier_off
    - LP: #1201869
  * veth: fix NULL dereference in veth_dellink()
    - LP: #1201869
  * ioat: fix tasklet tear down
    - LP: #1291113
 -- Kamal Mostafa <email address hidden> Mon, 31 Mar 2014 14:33:18 -0700

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers